Create Email
curl --request POST \
--url https://email.universal.rollout.com/api/emailMessages \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>",
"sender": {
"name": "<string>",
"email": "<string>"
},
"recipients": [
{
"name": "<string>",
"email": "<string>"
}
],
"personId": "<string>",
"userId": "<string>",
"threadId": "<string>"
}
'import requests
url = "https://email.universal.rollout.com/api/emailMessages"
payload = {
"subject": "<string>",
"body": "<string>",
"sender": {
"name": "<string>",
"email": "<string>"
},
"recipients": [
{
"name": "<string>",
"email": "<string>"
}
],
"personId": "<string>",
"userId": "<string>",
"threadId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
body: JSON.stringify('<string>'),
sender: {name: '<string>', email: '<string>'},
recipients: [{name: '<string>', email: '<string>'}],
personId: '<string>',
userId: '<string>',
threadId: '<string>'
})
};
fetch('https://email.universal.rollout.com/api/emailMessages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"personId": "<string>",
"userId": "<string>",
"threadId": "<string>",
"subject": "<string>",
"body": "<string>",
"sender": {
"name": "<string>",
"email": "<string>"
},
"recipients": [
{
"name": "<string>",
"email": "<string>"
}
],
"isRead": true,
"isStarred": true,
"isIncoming": true,
"sent": "<string>",
"received": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Email Messages
Create Email
POST /emailMessages
POST
/
emailMessages
Create Email
POST /emailMessages
Base URL: https://email.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
201 | Created |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/email.json POST /emailMessagesBody
application/jsonmultipart/form-datatext/plain
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I